CSERI(3)

SYNOPSIS
SUBROUTINE CSERI (Z, FNU, KODE, N, Y, NZ, TOL, ELIM, ALIM)

NAME
cseri - Subsidiary to CBESI and CBESK

LIBRARY
SLATEC

TYPE
ALL (CSERI-A, ZSERI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
CSERI COMPUTES THE I BESSEL FUNCTION FOR REAL(Z).GE.0.0 BY MEANS OF THE POWER SERIES FOR LARGE ABS(Z) IN THE REGION ABS(Z).LE.2*SQRT(FNU+1). NZ=0 IS A NORMAL RETURN. NZ.GT.0 MEANS THAT THE LAST NZ COMPONENTS WERE SET TO ZERO DUE TO UNDERFLOW. NZ.LT.0 MEANS UNDERFLOW OCCURRED, BUT THE CONDITION ABS(Z).LE.2*SQRT(FNU+1) WAS VIOLATED AND THE COMPUTATION MUST BE COMPLETED IN ANOTHER ROUTINE WITH N=N-ABS(NZ).

SEE ALSO
CBESI, CBESK

ROUTINES CALLED
CUCHK, GAMLN, R1MACH

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)